# Задания

### 1. 
Создайте пользователя mike. При создании задайте в качестве оболочки `/bin/bash`. Создайте домашнюю директорию вручную для mike, в `/home/mike`. Смените владельца командой `chown mike:mike /home/mike`.

### 2.
Деактивируйте аккаунт stud поменяв оболочку на `/sbin/nologin`. В соседнем окне, проверьте, что залогиниться вы не можете. Попробуйте варианты через `sudo su -`, `su -`, по ssh. Верните оболочку на прежнее значение.

### 3.
Смените пароль пользователя `mike` командой `passwd` из под суперпользователя. Проверьте, что вы можете зайти под этим пользователем с заданным паролем.

### 4.
Измените в `/etc/default/useradd` оболочку по умолчанию на `/bin/sh`. 

### 5.
Измените в `/etc/login.defs` `UID_MIN` на `10000`, `UMASK` на `077`.

### 6.
Создайте пользователя vera с заданным паролем и укажите, что нужно создать домашнюю директорию пользователя. При создании используйте заранее созданный пароль в зашифрованном виде. Для шифрования пароля используйте команду `openssl passwd -5 -stdin`. Проверьте номер идентификатора пользователя и путь к оболочке в файле `/etc/passwd`, хэш-пароль в `/etc/shadow`, атрибуты доступа к доамашней директории в `/home`. 

### 7.
Поменяйте оболочку пользователя vera на `/bin/bash`.

### 8.
Сконфигурируйте пользователя `mike` так, чтобы он мог перейти в суперпользователя, зная свой пароль. Справочная документация для этой задачи `man sudoers` и полезная команда `usermod`.

### 9.
Смените пароль пользователя `mike` командой `chpasswd`. 

### 10.
Создайте и удалите пользователя `dummy`.

### 11.
Создайте группу `docker` и добавьте в неё пользователей `mike` и `vera`.

### 12. 
Удалите пользователя `mike` из группы `docker`.

### 13.
Заблокируйте аккаунт пользователя `mike` командой `usermod` или модифицировав файл `/etc/shadow`.

### 14.
Настройте пользователя со своим именем на виртуальной машине `stud14`q. Зайдите под ним на какое-то время. Посмотрите кто ещё зашёл на машину. Проверьте кто заходил на эту машину ранее командой `last`.  

### 15.
Сыграйте с коллегой в игру. Сначала зайдите на свои виртуальные машины. Зайдите друг к другу на виртуальную машину по ssh. Попробуйте первым отключить соседа от виртуальной машины.

# Справка

Конфигурационные файлы связанные с менеджментом пользователей:
- /etc/passwd
- /etc/group
- /etc/shadow
- /etc/sudoers
- /etc/login.defs
- /etc/defaults/useradd

Команды:
- useradd
- usemod
- userdel
- passwd
- chpasswd
- openssl passwd
- who
- last